# Method Thread.Local()->set()

Method set

  ``mixed` set(`mixed` `value`)`

Description

  Set the thread local value.

  This sets the value returned by the get method.

  Calling this method does not affect the value returned by get() when it's called by another thread (ie multiple values can be stored at the same time, but only one value per thread).

Returns

  This function returns its argument.

Note

  Note that the value set can only be retreived by the same thread.

See also

  get()